# Class SchlegelCalculator.Spec

java.lang.Object
uk.ac.starlink.ttools.calc.SchlegelCalculator.Spec

Enclosing class:
  `SchlegelCalculator`

public static class SchlegelCalculator.Spec extends Object
Specifies the dust query to be made. It specifies what results are to be retrieved, just aggregating a list of ResultTypes and Statistics. It does not specify the area; althoug the IPAC service allows you to submit that (regSize parameter), it does not appear to have any effect on the results, apart from the cutout image URLs, which are not used here. So there doesn't seem to be much point.

## Constructor Summary

Constructors
Constructor
Description
`Spec(SchlegelCalculator.ResultType[] rtypes, SchlegelCalculator.Statistic[] stats)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.ValueInfo[]`
`getResultInfos()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Spec

public Spec(SchlegelCalculator.ResultType[] rtypes, SchlegelCalculator.Statistic[] stats)
Constructor.

Parameters:
  `rtypes` - result types to be retrieved
  `stats` - statistic values to be retrieved

## Method Details

### getResultInfos

public uk.ac.starlink.table.ValueInfo[] getResultInfos()